/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package conversation.client;

import org.osoa.sca.annotations.Conversational;
import org.osoa.sca.annotations.EndsConversation;
import org.osoa.sca.annotations.Remotable;


/**
 * The callback interface used when testing conversational callbacks
 *
 * @version $Rev: 640839 $ $Date: 2008-03-25 14:55:14 +0000 (Tue, 25 Mar 2008) $
 */
@Remotable
@Conversational
public interface ConversationalCallback {
	
    public void init();
    
    public void destroy();
    
    public void initializeCount(int count);
    
    public void incrementCount();
    
    public int retrieveCount();
    
    public void businessException() throws Exception;        
    
    @EndsConversation
    public String endConversation();

}
