/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.implementation.node.launcher;

import java.io.IOException;
import java.util.logging.Logger;

import javax.servlet.Servlet;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.xml.parsers.ParserConfigurationException;

import org.osoa.sca.annotations.Init;
import org.osoa.sca.annotations.Scope;
import org.osoa.sca.annotations.Service;

/**
 * Implementation of a ping service component.
 *
 * @version $Rev: 656545 $ $Date: 2008-05-15 09:24:30 +0100 (Thu, 15 May 2008) $
 */
@Scope("COMPOSITE")
@Service(interfaces={Servlet.class})
public class PingServiceImpl extends HttpServlet {
    private static final long serialVersionUID = -3477992129462720901L;

    private static final Logger logger = Logger.getLogger(PingServiceImpl.class.getName());    

    /**
     * Initialize the component.
     */
    @Init
    public void initialize() throws ParserConfigurationException {
    }

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        logger.fine("ping");
        response.getWriter().print("<html><body><span id=\"ping\">OK</span></body></html>");
    }
    
}
