/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.tuscany.sca.vtest.javaapi.conversation.lifetime;


/**
 * Denotes an error starting the runtime
 *
 * @version $Rev: 658275 $ $Date: 2008-05-20 16:14:54 +0100 (Tue, 20 May 2008) $
 */
public class BServiceBusinessException extends Exception {

    static final long serialVersionUID = 2096658015909178325L;
    
    private String message;    
    
    public BServiceBusinessException() {
    }    
    
    public BServiceBusinessException(String message) {
        super(message);
        setMessage(message);
    }

    public BServiceBusinessException(Throwable cause) {
        super(cause);
        setMessage(cause.getMessage());
    }
    
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }     
}
